#include <pthread.h>
#include "eyebot.h"

void *slave(void *arg)
{ for (int i=1; i<=5; i++)
  { LCDPrintf("START-%c -%d- ", (char)((int) arg), i); 
    LCDPrintf("%c-STOP\n",      (char)((int) arg)); 
  }
  return NULL;
}


int main()
{ pthread_t t1, t2;

  XInitThreads();
  LCDMenu("", "", "", "END");

  pthread_create(&t1, NULL, slave, (void *) 'A');
  pthread_create(&t2, NULL, slave, (void *) 'B');

  KEYWait(KEY4);
}
